###############################################################################
# DELL_TEMPLATES.CFG - SAMPLE OBJECT TEMPLATES
#
# Last Modified: 8-Oct-2014
#
# NOTES: This config file provides you with some example object definition
#        templates that are refered by other host, service, contact, etc.
#        definitions in other config files.
#       
#        You don't need to keep these definitions in a separate file from your
#        other object definitions.  This has been done just to make things
#        easier to understand.
# Copyright (c) 2014 Dell Inc.
# 		 All Rights Reserved.
###############################################################################



###############################################################################
###############################################################################
#
# CONTACT TEMPLATES
#
###############################################################################
###############################################################################

# Generic contact definition template - This is NOT a real contact, just a template!

define contact{
        name                            Dell-contact    	; The name of this contact template
        service_notification_period     Dell-24x7			; service notifications can be sent anytime
        host_notification_period        Dell-24x7			; host notifications can be sent anytime
        service_notification_options    w,u,c,r,f,s		; send notifications for all service states, flapping events, and scheduled downtime events
        host_notification_options       d,u,r,f,s		; send notifications for all host states, flapping events, and scheduled downtime events
        service_notification_commands   notify-dell-service-by-email	; send service notifications via email
        host_notification_commands      notify-dell-host-by-email	; send host notifications via email
        register                        0       		; DONT REGISTER THIS DEFINITION - ITS NOT A REAL CONTACT, JUST A TEMPLATE!
        }





###############################################################################
#
# HOST TEMPLATES
#
###############################################################################

#################################
# Dell Host templates 
##################################
define host{
        name                            Dell Device    ; The name of this host template
        check_period                    Dell-24x7            ; By default, Linux hosts are checked round the clock
        check_interval                  5               ; Actively check the host in minutes interval
        retry_interval                  3              ; Schedule host check retries in minutes interval
        max_check_attempts              3              ; 
        check_command           	check-dell-host-alive
	notification_period             dellworkhours       ; Linux delladmins hate to be woken up, so we only notify during the day
        notification_interval           120             ; Resend notifications every 2 hours
        notification_options            d,u,r           ; Only send notifications for specific host states
        contact_groups                  delladmins          ; Notifications get sent to the delladmins by default
        register                        0               ; DONT REGISTER THIS DEFINITION - ITS NOT A REAL HOST, JUST A TEMPLATE!
        }

define host{
        name                            Dell Agent-free Server    ; The name of this host template
        use 							Dell Device
		register                        0               ; DONT REGISTER THIS DEFINITION - ITS NOT A REAL HOST, JUST A TEMPLATE!
        }

#################################
# Dell Service templates
##################################

define service{
        name                            Dell-Service    ; The 'name' of this service template
        active_checks_enabled           1                       ; Active service checks are enabled
        passive_checks_enabled          1                       ; Passive service checks are enabled/accepted
        parallelize_check               1                       ; Active service checks should be parallelized (disabling this can lead to major performance problems)
        obsess_over_service             1                       ; We should obsess over this service (if necessary)
        check_freshness                 0                       ; Default is to NOT check service 'freshness'
        notifications_enabled           1                       ; Service notifications are enabled
        event_handler_enabled           1                       ; Service event handler is enabled
        flap_detection_enabled          1                       ; Flap detection is enabled
        #failure_prediction_enabled      1                       ; Failure prediction is enabled
        process_perf_data               1                       ; Process performance data
        retain_status_information       1                       ; Retain status information across program restarts
        retain_nonstatus_information    1                       ; Retain non-status information across program restarts
        is_volatile                     0                       ; The service is not volatile
        check_period                    Dell-24x7                       ; The service can be checked at any time of the day
        max_check_attempts              2                       ; Re-check the service up to 3 times in order to determine its final (hard) state
        normal_check_interval           2                      ; Check the service in minutes interval under normal conditions
        retry_check_interval            2                       ; Re-check the service in minutes interval until a hard state can be determined
        contact_groups                  delladmins                      ; Notifications get sent out to everyone in the 'delladmins' group
        notification_options            w,u,c,r                 ; Send notifications about warning, unknown, critical, and recovery events
        notification_interval           720                      ; Re-notify about service problems every hour
        notification_period             Dell-24x7                       ; Notifications can be sent out at any time
         register                        0                      ; DONT REGISTER THIS DEFINITION - ITS NOT A REAL SERVICE, JUST A TEMPLATE!
        }


define service{
        name                            Dell Device Health Status
        use                             Dell-Service
        register                        0
        service_description             Dell Device Overall Health Status 
        normal_check_interval           2             ; Polling interval in minutes
        retry_check_interval            2 
        contact_groups                  delladmins
}


        define service{
        name                            Dell Device Inventory Information
        use                             Dell-Service
        register                        0
        service_description             Dell Device Inventory Information	
        normal_check_interval           1440             ; Polling interval in minutes
        notification_interval           1440
		retry_check_interval            60
        contact_groups                  delladmins
}

	define service{
        name                            Dell Device Component Status 
        use                             Dell-Service
        register                        0
        service_description             Dell Device Component Status  
        normal_check_interval           2             ; Polling interval in minutes
        retry_check_interval            2 
        contact_groups                  delladmins
}

define service{
        name                    Dell Traps
        use                     Dell-Service
        register                0
        service_description     Dell SNMP Trap Service
        is_volatile             1
        flap_detection_enabled  0
	check_command		check_trap_OK
        #check_command           check-dell-host-alive
	active_checks_enabled   0
        max_check_attempts      1
        normal_check_interval   1
        retry_check_interval    1
        passive_checks_enabled  1
        check_period            Dell-24x7
        #notification_interval  1
        notification_interval   31536000
        contact_groups delladmins
}


##########################################
#Dell Host Group Templates
##########################################
define hostgroup{
        hostgroup_name          Dell Agent-free Servers
        alias                   Dell Agent-free Servers
        }

